cURL
curl --request GET \
--url https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "BP-12345",
"addresses ": [
{
"city": "city"
}
],
"bankAccountId": "5a6b7f5dw45c1c-403e-ad56-202fbc312414",
"bankAccountNumber": 5407324931,
"bankCode": "50010517",
"bic": "DEUTDEFF",
"bookingProposalDate": "2025-07-14T00:00:00Z",
"bookingType": "INVOICE",
"contactAccountNumber": 70000,
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"contactName ": "John Doe",
"createdDate": "2025-07-16T00:00:00Z",
"currency": "EUR",
"deliveryDate": "2025-07-26T00:00:00Z",
"discountPaymentDate": "2025-07-16T00:00:00Z",
"discountPaymentDate2": "2025-07-18T00:00:00Z",
"dueDate": "2025-07-24T00:00:00Z",
"files": [
"file1.pdf"
],
"journalCode": "60",
"iban": "DE43100500000920018963",
"isPaymentOrder": "true",
"ledgerName": "Payroll",
"lineItems": [
{
"id": "Item-112233",
"accountCode": "200",
"accountId": "db32-4f56-8a9b-1234567890ab",
"accountName": "EXPENSE",
"accountNumber": 4900,
"bookingTaxCode": "9",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Item A",
"dimension1": "Marketing",
"dimension2": "Service and Maintenance",
"dimensions": [
{
"id": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"amount": 100.5,
"code": "CS1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi"
}
],
"discountAmount": 100,
"discountAmount2": 50,
"discountPercentage": 20,
"discountPercentage2": 10,
"taxCode": "02",
"taxRatePercentage": 19,
"totalGrossAmount": 500,
"totalNetAmount": 450,
"type": "SERVICES",
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"notes": "Bill for maintenance services",
"number": "1233330",
"orderId": "3344566",
"paidDate": "2021-01-01T00:00:00Z",
"paymentTermsId": "03",
"status": "DRAFT",
"taskId": "ADHUR74BCBSW8399DCN",
"totalGrossAmount": 500,
"updatedDate": "2025-07-16T00:00:00Z",
"vatId": "DE987654321"
}
]
}Booking Proposals
Get booking proposal
GET
/
accounting
/
bookingProposals
/
{bookingProposalId}
cURL
curl --request GET \
--url https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/bookingProposals/{bookingProposalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "BP-12345",
"addresses ": [
{
"city": "city"
}
],
"bankAccountId": "5a6b7f5dw45c1c-403e-ad56-202fbc312414",
"bankAccountNumber": 5407324931,
"bankCode": "50010517",
"bic": "DEUTDEFF",
"bookingProposalDate": "2025-07-14T00:00:00Z",
"bookingType": "INVOICE",
"contactAccountNumber": 70000,
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"contactName ": "John Doe",
"createdDate": "2025-07-16T00:00:00Z",
"currency": "EUR",
"deliveryDate": "2025-07-26T00:00:00Z",
"discountPaymentDate": "2025-07-16T00:00:00Z",
"discountPaymentDate2": "2025-07-18T00:00:00Z",
"dueDate": "2025-07-24T00:00:00Z",
"files": [
"file1.pdf"
],
"journalCode": "60",
"iban": "DE43100500000920018963",
"isPaymentOrder": "true",
"ledgerName": "Payroll",
"lineItems": [
{
"id": "Item-112233",
"accountCode": "200",
"accountId": "db32-4f56-8a9b-1234567890ab",
"accountName": "EXPENSE",
"accountNumber": 4900,
"bookingTaxCode": "9",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Item A",
"dimension1": "Marketing",
"dimension2": "Service and Maintenance",
"dimensions": [
{
"id": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"amount": 100.5,
"code": "CS1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi"
}
],
"discountAmount": 100,
"discountAmount2": 50,
"discountPercentage": 20,
"discountPercentage2": 10,
"taxCode": "02",
"taxRatePercentage": 19,
"totalGrossAmount": 500,
"totalNetAmount": 450,
"type": "SERVICES",
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"notes": "Bill for maintenance services",
"number": "1233330",
"orderId": "3344566",
"paidDate": "2021-01-01T00:00:00Z",
"paymentTermsId": "03",
"status": "DRAFT",
"taskId": "ADHUR74BCBSW8399DCN",
"totalGrossAmount": 500,
"updatedDate": "2025-07-16T00:00:00Z",
"vatId": "DE987654321"
}
]
}Field support per integration

BuchhaltungsButler
BuchhaltungsButler
Query parameters:Supported response fields:
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section

Lexware Office
Lexware Office
The endpoint only works with
bookingProposalId that is associated with the following types:INVOICE, BILL, INVOICE_CREDIT_NOTE,BILL_CREDIT_NOTEFor date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section

Qonto
Qonto
Query parameters:Supported response fields:
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section

sevdesk
sevdesk
Query parameters:Supported response fields:
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visits the Standardized Data section.For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
Show properties
Show properties
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section

Xero
Xero
Supported response fields:
For date format details visit the Standardized Data section
The
contactId field represents the id of the contact associated with the booking proposal.For date format details visit the Standardized Data section
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visits the Standardized Data section.For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
Headers
Last modified on November 5, 2026
Was this page helpful?